SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000366: interface editor: primary ip address appears twice - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000366Endian FirewallNetwork related (VPN, uplinks)public2007-12-07 11:272007-12-31 19:11
Reporterpeter-endian 
Assigned Tosimon-endian 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-beta1 
Target VersionFixed in Version2.2-beta2 
Summary0000366: interface editor: primary ip address appears twice
DescriptionIf you add ips to an uplink which actually has only 1 ip address
the primary ip address will be displayed within the textarea, which then after
save will be added to the RED_IPS list, so the primary ip address is added twice.

Initialisation value of the textarea should be empty, not the primary ip address. That should solve the problem
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000701)
simon-endian (developer)
2007-12-17 11:24

weired stuff happened with RED_ADDRESS an RED_IPS
now RED_ADDRESS is only added to RED_IPS CIDR is generated when count errormessages is 0

- Issue History
Date Modified Username Field Change
2007-12-07 11:27 peter-endian New Issue
2007-12-07 11:27 peter-endian Status new => assigned
2007-12-07 11:27 peter-endian Assigned To => peter-endian
2007-12-07 11:27 peter-endian Assigned To peter-endian => simon-endian
2007-12-07 11:27 peter-endian Priority normal => low
2007-12-17 11:24 simon-endian Status assigned => resolved
2007-12-17 11:24 simon-endian Fixed in Version => 2.2
2007-12-17 11:24 simon-endian Resolution open => fixed
2007-12-17 11:24 simon-endian Note Added: 0000701
2007-12-31 15:05 raphael-endian Fixed in Version 2.2-beta1 => 2.2-beta2
2007-12-31 19:11 raphael-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker